course-discovery Dependencies Django 2.2 Support

Versions in course-discovery already support Django 2.2

Support for Django 2.2 in newer releases on PyPI

Support for Django 2.2 on master but not PyPI

  • factory-boy (supports 2.1 in installed version, may just work)

Haven't been tested with Django 2.2 upstream

  • django-haystack

  • django-rest-swagger (deprecated, supports 2.1; switch to drf-yasg if this becomes a problem)

  • django-taggit-serializer

  • django-webpack-loader

  • djangorestframework-xml (tested with 2.1, may just work with 2.2)

  • drf-dynamic-fields (tested with 2.1, may just work with 2.2)

  • rest-condition (negligible Django usage beyond DRF, may just work with 2.2)